
import React from 'react';
import Icon from 'react-icon-base';

const SlEarphonesAlt = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M1023.84 387.456c0.0957031 21.0557 -3.2168 100.496 -5.74512 123.216c-29.1201 260.752 -240.752 450 -503.184 450c-273.344 0 -494.815 -210.624 -509.84 -489.904c-0.320312 -6.0957 -2.56055 -49.3438 -2.7207 -75.0879l-0.0800781 -14.3203 c-1.31152 -5.91992 -2.11133 -12.0322 -2.11133 -18.3359v-214.656c0 -46.8799 38.1279 -85.0078 85.0078 -85.0078h86.2881c46.8799 0 85.0234 38.1279 85.0234 85.0078v214.64c0 46.8799 -38.1602 85.0078 -85.0244 85.0078h-86.3037 c-5.8877 0 -11.6318 -0.608398 -17.1836 -1.74414c0.480469 10.3838 0.912109 18.5762 1.02441 21.0566c13.168 244.784 207.136 429.344 445.92 429.344c229.28 0 414.128 -165.344 439.568 -393.12c1.07227 -9.50391 2.44824 -33.6641 3.55176 -57.9199 c-6.19238 1.44043 -12.5762 2.38477 -19.2002 2.38477h-85.2803c-46.8799 0 -85.0078 -38.1279 -85.0078 -85.0078v-213.664c0 -32.3682 18.4004 -60.2559 45.0889 -74.5918l-205.44 -80.6562v5.21582c0 17.6641 -14.3359 32 -32 32h-96c-17.6641 0 -32 -14.3359 -32 -32 v-32c0 -17.6641 14.3359 -32 32 -32h96c0.272461 0 0.512695 0.0800781 0.785156 0.0800781l57.3604 0.223633l329.552 129.376c4.32031 1.79199 7.98438 4.46387 10.9922 7.66406c28.8477 13.6162 48.9912 42.7363 48.9912 76.6885v213.664 c0 5.21582 -0.639648 10.2881 -1.55176 15.2324c0.879883 2.94434 1.50391 6 1.51953 9.21582zM85.1514 384.016h86.2891c11.5996 0 21.0234 -9.4082 21.0234 -21.0078v-214.656c0 -11.5996 -9.44043 -21.0078 -21.0244 -21.0078h-86.2881 c-11.5996 0 -21.0078 9.4082 -21.0078 21.0078v214.656c0.015625 11.5996 9.42383 21.0078 21.0078 21.0078zM832.528 363.008c0 11.5996 9.40918 21.0078 21.0088 21.0078h85.2803c11.5996 0 21.0234 -9.4082 21.0234 -21.0078v-213.664 c0 -11.5996 -9.44043 -21.0078 -21.0244 -21.0078h-85.2803c-11.5996 0 -21.0078 9.4082 -21.0078 21.0078v213.664z"/></g>
    </Icon>
);

export default SlEarphonesAlt;
